<?php
/**
 *
 *
 * @author Sergey Burkov, http://www.wp3dprinting.com
 * @copyright 2021
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


add_action( 'admin_menu', 'register_p3d_vat_menu_page' );
function register_p3d_vat_menu_page() {
	add_menu_page( '3DPrint VAT', '3DPrint VAT', 'manage_options', 'p3d_vat', 'register_p3d_vat_menu_page_callback' );
}

function register_p3d_vat_menu_page_callback() {
	global $wpdb;

	if ( $_GET['page'] != 'p3d_vat' ) return false;
	if ( !current_user_can('administrator') ) return false;

	if ( isset( $_POST['p3d_vat_settings'] ) && !empty( $_POST['p3d_vat_settings'] ) && check_admin_referer( 'save-settings_' )) {
	        $settings_update = array_map('sanitize_text_field', $_POST['p3d_vat_settings']);
		update_option( '3dp_vat_settings', $settings_update );
	}

	$settings = get_option( '3dp_vat_settings' );
?>
<h2>VAT Settings:</h2>
<br>
<form method="post" action="admin.php?page=p3d_vat">
<?php    wp_nonce_field( 'save-settings_' ); ?>
<table>
	<tr>
		<td>
			VAT %:
		</td>
		<td>
			<input size="3" type="text"  name="p3d_vat_settings[vat_pct]" value="<?php echo esc_attr($settings['vat_pct']);?>">
		</td>
	</tr>

	<tr>
		<td>
			VAT type:
		</td>
		<td>
			<select name="p3d_vat_settings[vat_type]">
				<option <?php if ($settings['vat_type']=='incl') echo 'selected'; ?> value="incl">Inclusive</option>
				<option <?php if ($settings['vat_type']=='excl') echo 'selected'; ?> value="excl">Exclusive</option>
			</select>
		</td>
	</tr>
</table>
<p class="submit">
	<input type="submit" class="button-primary" value="Save Changes" />
</p>
</form>
<?php
}
?>